C *********************************************************************
      PROGRAM sample
C ---------------------------------------------------------------------
      IMPLICIT REAL*8 (A-H,O-Z)
      DIMENSION DH(0:10)	!Defining Partonic channels
      
      DATA ZMIN,ZMAX/0.05D0,0.99D0/		!zmin, zmax
      
      IH=0	!Hadron type: 0 = (pi^+ + pi^-)/2, 1 = pi^+, 2 = pi^-
      ISET=0	! 0 = LO (NLO in not available)
      NZ=200	! Num. of steps in Z
      Q=3.0D0	! Q scale (3 GeV <= Q <= 10^5 GeV)
      
      ZLSTEP=(ZMAX-ZMIN)/DFLOAT(NZ)
      DO L=1,NZ+1
        Z=ZMIN+DFLOAT(L-1)*ZLSTEP
        CALL tss(IH,ISET,Z,Q,DH) 
        ! z, z*D :  g u ubar d dbar s sbar c cbar b bbar
        Write(12,1010) Z,Z*DH(0),Z*DH(1),Z*DH(2),Z*DH(3),Z*DH(4)
     >                  ,Z*DH(5),Z*DH(6),Z*DH(7),Z*DH(8)
     >                  ,Z*DH(9),Z*DH(10)	

      ENDDO
 1010 FORMAT(' ', 8(1PE15.5))

      STOP
      END
      
c--------------------------------------------------------------

      include 'tss.f'
      
C *********************************************************************
C THE END OF THE PROGRAM.
C *********************************************************************
